import request from '@/utils/request'
// 查询设备管理列表
export function listEquipment(query) {
	return request({
		url: '/basic/equipment/list',
		method: 'get',
		params: query
	})
}

// 修改设备管理
export function updateEquipment(data) {
	return request({
		url: '/basic/equipment',
		method: 'put',
		data: data
	})
}

export function listMaintainTaskItem(query) {
	return request({
		url: '/tpm/maintain/taskItem/list',
		method: 'get',
		params: query
	})
}

// 查询保养任务明细详细
export function getMaintainTaskItem(id) {
	return request({
		url: '/tpm/maintain/taskItem/' + id,
		method: 'get'
	})
}

// 查询点检任务明细列表
export function listCheckTaskItem(query) {
	return request({
		url: '/tpm/check/taskItem/list',
		method: 'get',
		params: query
	})
}

// 查询点检任务明细详细
export function getCheckTaskItem(id) {
	return request({
		url: '/tpm/check/taskItem/' + id,
		method: 'get'
	})
}


// 查询故障项目列表
export function listBreakdown(query) {
	return request({
		url: '/tpm/repair/breakdown/list',
		method: 'get',
		params: query
	})
}

// 查询故障项目详细
export function getBreakdown(id) {
	return request({
		url: '/tpm/repair/breakdown/' + id,
		method: 'get'
	})
}